Description

Supportanfrage

Im Rahmen meiner Bachelorarbeit werden .dat Files durch den Hraddiskrecoder in ADTF wieder eingespielt. Da ich im SDK und

Handbuch leider sehr wenig über den Aufbau, bzw. die Struktur und den Inhalt (Verarbeitung der aufgenommenen Daten) der .dat

Datei finden konnte, wende ich mich nun an Sie. Über eine genaue Aufklärung der obengenannten Punkte wäre ich sehr glücklich,

da wir die .dat-File-Einspielung auch in ein Simulationstool integrieren wollen.

Lösung

Einstieg für dich sollte immer Overview_of_Products_and_Documentation sein.

Dann findest du auch ADTF DAT File Format, als Addon Doku der Streaming Library

Diese sollte schon sehr viel für dich erfüllen, denn sie beschäftig sich mit nichts anderen als das Lesen und Schreiben von DAT Files

(allerdings kein Playback, Stream).

Wenn du dir die ADTF 2.x Doku ansiehst, findest du ebenso eine sehr gute Beschreibung des The IndexedFile Format.

Es kommt nun auf deinen Use Case an:

1) Musst du Daten einfach nur verarbeiten im Sinne eines Post Processes -> Streaming Library

2) Muss du Daten im ADTF abspielen -> ADTF

3) Brauchst du einen eigenen Streaming Player -> siehe ADTF Example Demo Dat File Player Streaming Application

History

#1 - 2018-12-17 11:26 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to ADTF::DAT

- Customer set to AUDI

- Department set to EF

#2 - 2018-12-17 11:34 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Patrick,

welche ADTF Version verwendest du ?

Kannst du deinen Use Case vielleicht noch etwas detailierter beschreiben ? Ggf. können wir dich noch besser auf den richtigen Weg bringen, vor

allem falls du Dinge mit Bordmitteln erfüllen kannst.

Zum Thema Doku:

Einstieg für dich sollte immer Overview_of_Products_and_Documentation sein.

Dann findest du auch ADTF DAT File Format, als Addon Doku der Streaming Library

Diese sollte schon sehr viel für dich erfüllen, denn sie beschäftig sich mit nichts anderen als das Lesen und Schreiben von DAT Files (allerdings kein

Playback, Stream).
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/DATFileFormatSpecification.pdf
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/api/index.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/index.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_a_utils_indexedfileformat.html
support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/page_demo_playerstream_app.html
https://support.digitalwerk.net/projects/download-center/wiki/Overview_of_Products_and_Documentation
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/DATFileFormatSpecification.pdf
support.digitalwerk.net/adtf_libraries/adtf-streaming-library/v2/api/index.html


Wenn du dir die ADTF 2.x Doku ansiehst, findest du ebenso eine sehr gute Beschreibung des The IndexedFile Format.

Es kommt nun auf deinen Use Case an:

1) Musst du Daten einfach nur verarbeiten im Sinne eines Post Processes -> Streaming Library

2) Muss du Daten im ADTF abspielen -> ADTF

3) Brauchst du einen eigenen Streaming Player -> siehe ADTF Example Demo Dat File Player Streaming Application

#3 - 2019-01-09 15:30 - hidden

Hallo Florian,

es geht um ADTF 2.x und um den UseCase 1)

Ich würde gerne die .dat File in ein anderes Programm einspielen. Daher muss ich wissen wie die Datei aufgebaut ist. Kann ich mir das grob so

vorstellen wie eine XML-Datei? Bin da im SDK unter Kapitel „The IndexedFile Format“ richtig?

Vielen Dank vorab und freundliche Grüße

Patrick

#4 - 2019-01-09 17:56 - hidden

Hallo Patrick,

richtig, in The IndexedFile Format ist der Aufbau beschrieben.

Ebenso sollte ADTF DAT File Format für dich nützlich sein.

Wenn du dir Reader Arbeit abnehmen willst und es deine Toolchain hergibt, mit der Streaming Library kannst du DAT File einlesen und kannst sofort

auf Datenblöcke zugreifen.

#5 - 2019-01-10 09:30 - hidden

Hallo Florian,

vielen Dank für deine Antwort.

Ich habe noch eine zweite Frage:

Wenn ich einen Filter programmiere, welche Daten vom Flexray bekommt, kommen die Werte im 40 ms Takt. Kann ich in meinem Filter den Wert so

manipulieren, dass der Ausgang meines Filters nicht immer ein Peak ist und dann wieder null, sondern den Wert durchgehend ausgeben?

Du kannst mich auch gerne dazu anrufen. Tel.: +4915257718468

Mit freundlichen Grüßen

Jan Patrick Werner

#6 - 2019-01-10 18:05 - hidden

- Project changed from 11 to Public Support

- Subject changed from Aufbau .dat File to How is the structure of a *.dat file

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Resolution set to Solved Issue

Hallo Patrick,

ich würde das Thema gerne damit abschließen.

Für das neue Flexray Thema habe ich ein neues Ticket erstellt -> #5639

#7 - 2019-01-18 10:15 - hidden

- Status changed from To Be Closed to Closed
